/.well-known/jwks.jsonPublic JWKS for verifying platform-issued JWTs (issuer `https://api.auth.productcraft.co`).
Response · 200
keys*arrayArray of public JWKs. Token verifiers iterate these by `kid` to find the matching signer.
Example
Request
GET https://api.platform-auth.productcraft.co/.well-known/jwks.jsonimport { PlatformAuth } from "@productcraft/platform-auth";
// Reads PRODUCTCRAFT_API_KEY from the environment; administration
// calls take a person's session: { auth: { type: "bearer", token } }
const platform = new PlatformAuth();
const jwks = await platform.wellKnown.jwks();platform.wellKnown.jwks(options?): PlatformAuth.Jwks
Response
{
"keys": [
{
"kty": "RSA",
"alg": "RS256",
"kid": "k_2026_05_01",
"use": "sig"
}
]
}